| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
Stat.cpp File Reference

Implementation file for class Stat. More...

`#include <sstream>`
`#include "GaudiKernel/ICounterSvc.h"`
`#include "GaudiKernel/IStatSvc.h"`
`#include "GaudiKernel/Stat.h"`
`#include "GaudiKernel/StatEntity.h"`
`#include "boost/format.hpp"`
Include dependency graph for Stat.cpp:

Go to the source code of this file.

## Functions
Stat | operator+ (const Stat &stat, const double value)
| external operator for addition of Stat and a number More...
Stat | operator- (const Stat &stat, const double value)
| external operator for subtraction of Stat and a number More...
Stat | operator+ (const double value, const Stat &stat)
| external operator for addition of Stat and a number More...
Stat | operator+ (const Stat &stat, const Stat &value)
| external operator for addition of Stat and Stat More...
std::ostream & | operator<< (std::ostream &stream, const Stat &stat)
| output operator for the counter object More...

## Detailed Description

Implementation file for class Stat.

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2005-08-02
  2007-07-08

Definition in file Stat.cpp.

## Function Documentation

Stat operator+ | ( | const Stat & | stat,
|  | const double | value
| ) |  |

external operator for addition of Stat and a number

Definition at line 141 of file Stat.cpp.

142 {
143 Stat s( stat );
144 s += value;
145 return s;
146 }
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
gaudirun.s
string s
Definition: gaudirun.py:253

Stat operator+ | ( | const double | value,
|  | const Stat & | stat
| ) |  |

external operator for addition of Stat and a number

Definition at line 159 of file Stat.cpp.

160 {
161 Stat s( stat );
162 s += value;
163 return s;
164 }
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
gaudirun.s
string s
Definition: gaudirun.py:253

Stat operator+ | ( | const Stat & | stat,
|  | const Stat & | value
| ) |  |

external operator for addition of Stat and Stat

Definition at line 167 of file Stat.cpp.

168 {
169 Stat s( stat );
170 s += value;
171 return s;
172 }
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
gaudirun.s
string s
Definition: gaudirun.py:253

Stat operator- | ( | const Stat & | stat,
|  | const double | value
| ) |  |

external operator for subtraction of Stat and a number

Definition at line 150 of file Stat.cpp.

151 {
152 Stat s( stat );
153 s -= value;
154 return s;
155 }
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
gaudirun.s
string s
Definition: gaudirun.py:253

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const Stat & | stat
| ) |  |

output operator for the counter object

external printout operator to std::ostream

Definition at line 175 of file Stat.cpp.

175 { return stat.print( stream ); }
Stat::print
std::ostream & print(std::ostream &o=std::cout) const
printout to std::ostream
Definition: Stat.cpp:120